List commits
curl --request GET \
--url https://api.example.com/api/projects/{projectId}/branches/{branchId}/commits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/projects/{projectId}/branches/{branchId}/commits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/projects/{projectId}/branches/{branchId}/commits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"branchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"files": [
"<unknown>"
]
}
],
"pagination": {
"current": 123,
"from": 123,
"to": 123,
"total": 123,
"pageSize": 123
}
}Branches
List commits
Retrieves a paginated list of commits for a branch.
GET
/
api
/
projects
/
{projectId}
/
branches
/
{branchId}
/
commits
List commits
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Path Parameters
Branch ID or "main" for the default branch
Project ID
Query Parameters
Current page
Number of items per page
Search term to filter commits by message
Was this page helpful?
⌘I